debEl otro día, probando Kubuntu 15.04, que como sabréis viene con Plasma 5 de estreno, tuve un problema curioso. Soy un usuario de apps privativas como Spotify (que no tiene sustituto claro en Linux) o Dropbox, que aunque si lo tiene y muy bueno (Owncloud, o incluso Mega, que es más abierto que Dropbox) es una necesidad para poder compartir archivos con otros. Ya sabéis, lo de siempre. No quieres usar Whatsapp porque prefieres Telegram, pero es que todo el mundo usa la primera.

El problema vino cuando lo instalo tal y como indica en el tutorial oficial de Spotify y pese a que todo se hizo perfectamente, después cuando iba a lanzar la app esta no se cargaba. Intrigado, acabé descubriendo que el error se debe a una librería que ha quedado obsoleta de 14.10 y anteriores, libgcrypt11. Al parecer, en Ubuntu 15.04 y demás sabores, esta ha sido reemplazada por una versión mucho más moderna, libgcrypt20. Y en este caso a Spotify le llega en el proceso de instalación con libgcrypt20, pero no para arrancar el sistema, que es cuando se pone tiquismiquis y decide que necesita si o si libgcrypt11.

Así que la solución es sencilla, se toma libgcrypt11 de los repositorios de Trusty o de Utopic, se instala en nuestra versión, Vivid, y listo. Si lo necesitáis de 64 bits, aquí. Y de 32 aquí.

Así que si tenéis el mismo problema que yo, o uno parecido con una aplicación privativa, es probable que sea por culpa de esta librería perdida. Puede que estas razones de compatibilidad (no es el primer paquete que veo que desaparece de release en release de Ubuntu) son las que esgrima Shuttleworth cuando dice que no habrá rolling release de Ubuntu.

Y bueno, aquí sigo probando Kubuntu 15.04. Os prometo una review más o menos extensa pronto, pero os voy adelantando dos impresiones. Plasma 5.3 está aún muy verde, pero es un escritorio que promete.

3
Deja una respuesta

avatar
2 Hilos de comentario
1 Respuestas de hilo
0 Seguidores
 
Comentario más reaccionado
El hilo de comentarios más caliente
3 Autores de comentarios
Vladimir Lunagilbert2993 Autores de comentarios recientes
  Suscribirse  
Los más recientes Los más antiguos Más votados
Notificarme las
Anónimo
Invitado
Anónimo

pues yo en la 15.04 me he sentido muy a gusto en comparación que la 14.04 la verdad vivid es de los que mas me a gustado lastima que no es lts!

gilbert2993
Miembro

ubuntu 15.04 también da problemas instalando steam por misma razón librerías obsoletas , por eso e quedare mejor con la próxima lts y dejare estas versiones , por cierto tengo un problema con Spotify como minimízalo , siempre se habré a pantalla completa y es muy molesto .

Vladimir Luna
Invitado
Vladimir Luna

Así es.. vivan las LTS..!!